Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: karchive
Source: git://anongit.kde.org/karchive

Files: *
Copyright: 2000-2010, David Faure <faure@kde.org>
           2015, Luiz Romário Santana Rios <luizromario@gmail.com>
           2011-2012, Mario Bensi <mbensi@ipsquad.net>
           2007-2008, Per Øyvind Karlsen <peroyvind@mandriva.org>
           2009, Pino Toscano <pino@kde.org>
License: LGPL-2+

Files: autotests/kfiltertest.cpp
       autotests/kfiltertest.h
       src/k7zip.cpp
       src/k7zip.h
       src/kar.cpp
       src/kar.h
       src/karchive.cpp
       src/karchive.h
       src/karchive_p.h
       src/karchivedirectory.h
       src/karchiveentry.h
       src/karchivefile.h
       src/kcompressiondevice.cpp
       src/kcompressiondevice.h
       src/kfilterdev.cpp
       src/kfilterdev.h
       src/klimitediodevice.cpp
       src/klimitediodevice_p.h
       src/ktar.cpp
       src/ktar.h
       src/kzip.cpp
       src/kzip.h
       src/kzipfileentry.h
       tests/k7ziptest.cpp
       tests/krcctest.cpp
       tests/ktartest.cpp
       tests/kziptest.cpp
Copyright: 2000-2014, David Faure <faure@kde.org>
           2002, Holger Schroeder <holger-kde@holgis.net>
           2002, Laurence Anderson <l.d.anderson@warwick.ac.uk>
           2003, Leo Savernik <l.savernik@aon.at>
           2011, Mario Bensi <mbensi@ipsquad.net>
License: LGPL-2

Files: examples/bzip2gzip/main.cpp
       examples/helloworld/main.cpp
       examples/tarlocalfiles/main.cpp
       examples/unzipper/main.cpp
Copyright: 2013-2014, Maarten De Meyer <de.meyer.maarten@gmail.com>
License: BSD-2-clause

Files: src/krcc.cpp
       src/krcc.h
Copyright: 2014, David Faure <faure@kde.org>
License: LGPL-2+3+KDEeV

Files: debian/*
Copyright: 2014, Jonathan Riddell <jriddell@ubuntu.com>,
           2014, Scarlett Clark <scarlett@scarlettgatelyclark.com>
License: LGPL-2+

License: BSD-2-clause
 You may use this file under the terms of the BSD license as follows:
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 .
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: LGPL-2
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 .
 On Debian systems, the complete text of the GNU Library General
 Public License version 2 can be found in "/usr/share/common-licenses/LGPL-2".

License: LGPL-2+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 .
 On Debian systems, the complete text of the GNU Library General
 Public License version 2 can be found in "/usr/share/common-licenses/LGPL-2".

License: LGPL-2+3+KDEeV
 This library is free software; you can redistribute it and/or modify
 it under the terms of the GNU Library General Public License as published
 by the Free Software Foundation; either version 2 of the License or
 ( at your option ) version 3 or, at the discretion of KDE e.V.
 ( which shall act as a proxy as in section 14 of the GPLv3 ), any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 .
 On Debian systems, the complete text of the GNU Library General Public
 License version 2 can be found in "/usr/share/common-licenses/LGPL-2",
 likewise the version 3 of the GNU Lesser General Public License can be found
 in "/usr/share/common-licenses/LGPL-3".
